package org.gcube.informationsystem.utils.documentation.model.relations;

import org.gcube.informationsystem.base.reference.AccessType;
import org.gcube.informationsystem.types.reference.Type;
import org.gcube.informationsystem.utils.documentation.rst.table.Table;

/**
 * @author Luca Frosini (ISTI - CNR)
 */
public class ConsistsOfDocumentationGenerator extends RelationDocumentationGenerator {

	public ConsistsOfDocumentationGenerator(Type type) {
		super(type, AccessType.CONSISTS_OF);
	}

	@Override
	protected Table getTable() {
		Table table = new Table();
		table.appendRow(getPropertyFieldsHeadingRow());
		return table;
	}

	
}
